# Get a list of unconfirmed transactions currently in the transaction pool.

GET

/v2/transactions/pending

Get the list of pending transactions, sorted by priority, in decreasing order, truncated at the end at MAX. If MAX = 0, returns all pending transactions.

## Authorizations

- **[api_key](https://dev.algorand.co/reference/rest-api/algod/#api_key)**

## Parameters

### Query Parameters

**max**  
integer  
Truncated number of transactions to display. If max=0, returns all pending txns.

**format**  
string  
Allowed values:  json  msgpack  
Configures whether the response object is JSON or MessagePack encoded. If not provided, defaults to JSON.

## Responses

### 200

A potentially truncated list of transactions currently in the node’s transaction pool. You can compute whether or not the list is truncated if the number of elements in the **top-transactions** array is fewer than **total-transactions**.

- **top-transactions**  
  - required  
  - An array of signed transaction objects.  
  - Array<object>

- **total-transactions**  
  - required  
  - Total number of transactions in the pool.  
  - integer

### 401

Invalid API Token

An error response with optional data field.

- **data**  
  - object  
  - **message**  
    - required  
    - string

### 500

Internal Error

An error response with optional data field.

- **data**  
  - object  
  - **message**  
    - required  
    - string

### 503

Service Temporarily Unavailable

An error response with optional data field.

- **data**  
  - object  
  - **message**  
    - required  
    - string

### default

Unknown Error
